InstanceState
Date: 2012-06-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.resourcemanager.impl.state
Class InstanceState

    java.lang.Object
      GCUBEWSResource
          org.gcube.vremanagement.resourcemanager.impl.state.InstanceState

    public final class InstanceState

extends GCUBEWSResource

The ResourceManager's stateful resource

Author:
  Manuele Simi (ISTI-CNR)

Constructor Summary
`InstanceState()`

Method Summary
`void` | `addSession(Session session)` Adds a new `Session` to the service's state
`void` | `dispose()` Disposes the current scope
`GCUBEScope` | `getManagedScope()` Gets the RP ManagedScope
`PublishedScopeResource` | `getPublishedScopeResource()` Gets the `PublishedScopeResource`
`ScopeState` | `getResourceList()` Gets the list of `ScopedResource`s
`java.lang.String` | `getSerializedSession(java.lang.String id)` Gets the string representation of a `Session`
`Session` | `getSession(java.lang.String id)` Gets the `Session`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstanceState

    public InstanceState()

Method Detail

### getManagedScope

    public GCUBEScope getManagedScope()

  Gets the RP ManagedScope

  Returns:
    the scope managed by this instance

### getSession

    public Session getSession(java.lang.String id)
                       throws java.io.IOException

  Gets the `Session`

  Parameters:
    `id` - the session ID
  Returns:
    the session
  Throws:
    `java.io.IOException`

### getSerializedSession

    public java.lang.String getSerializedSession(java.lang.String id)
                                          throws java.io.IOException

  Gets the string representation of a `Session`

  Parameters:
    `id` - the session ID
  Returns:
    the string representation of the session
  Throws:
    `java.io.IOException`

### addSession

    public void addSession(Session session)

  Adds a new `Session` to the service's state

  Parameters:
    `session` - the session to add

### getPublishedScopeResource

    public PublishedScopeResource getPublishedScopeResource()
                                                     throws org.globus.wsrf.NoSuchResourceException

  Gets the `PublishedScopeResource`

  Returns:
    the `PublishedScopeResource`
  Throws:
    `org.globus.wsrf.NoSuchResourceException`

### getResourceList

    public ScopeState getResourceList()

  Gets the list of `ScopedResource`s

  Returns:
    the list of scoped resources

### dispose

    public void dispose()

  Disposes the current scope

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD